package com.itbaizhan.service;

import com.itbaizhan.dao.StudentDao;
import com.itbaizhan.domain.Student;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StudentService {
    @Autowired
    private SqlSessionTemplate sqlSession;//注入SqlSessionTemplate

    //使用SqlSession获取代理对象，操作数据库

    public List<Student> findAll(){
        StudentDao studentDao = sqlSession.getMapper(StudentDao.class);//获得代理对象
        List<Student> list =studentDao.findAll();
        return list;
    }

}
