import com.itbaizhan.domain.Student;
import com.itbaizhan.service.StudentService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

//Junit使用Spring的方式运行代码，即自动创建Spring容器
@RunWith(SpringJUnit4ClassRunner.class)//根据这个类来运行
//Spring容器创建时读取的配置文件或配置类
//配置类的写法
/*@ContextConfiguration(classes = 配置类.class)*/
@ContextConfiguration(locations = "classpath:ApplicationContext.xml")//环境配置
public class StudentServiceTest {

    @Autowired
    private StudentService studentService;

    @Test
    public void testFindAllStudent(){
        //必须注册StudentDao,否则会报错误
        //在SqlMapConfig中进行配置注册StudentDao
        List<Student> list = studentService.findAll();
        list.forEach(System.out::println);
    }

}
